KDE 4.5 PyKDE API Reference

- KDE's Python API

# KXUtils Namespace Reference

`from PyKDE4.kdeui.KXUtils import *`

## Detailed Description

Namespace with various generic X11-related functionality.

## Functions
QPixmap | createPixmapFromHandle (int pixmap, int mask=0)
int | timestampCompare (long time1, long time2)
int | timestampDiff (long time1, long time2)

## Function Documentation

QPixmap createPixmapFromHandle | ( | int | pixmap,
|  | int | mask=0
| ) |  |  |

Creates a QPixmap that contains a copy of the pixmap given by the X handle pixmap and optionally also mask given as another X handle @mask. This function tries to also handle the case when the depth of the pixmap differs from the native QPixmap depth.

Since:
  4.0.2

int timestampCompare | ( | long | time1,
|  | long | time2
| ) |  |  |

Compares two X timestamps, taking into account wrapping and 64bit architectures. Return value is like with strcmp(), 0 for equal, -1 for time1 < time2, 1 for time1 > time2.

Since:
  4.1.0

int timestampDiff | ( | long | time1,
|  | long | time2
| ) |  |  |

Returns a difference of two X timestamps, time2 - time1, where time2 must be later than time1, as returned by timestampCompare().

Since:
  4.1.0